import sys
sys.path.append("../../..")
from relations.src.system_relation import systemutils, graph_model, systemdatautils


if '__main__'==__name__:
	project_id="Pj1101010015"
	system_name="冷冻水供水管"
	domain="DomainPiping"
	models= systemdatautils.get_project_models(project_id)
	floorgraphs=[]
	for model in models:
		floor_connectors = systemdatautils.get_connectors_data(model.file_id, system_name, domain)
		floor_elements = systemdatautils.get_element_data(model.file_id)
		g = graph_model.FloorGraph(model, system_name, domain, floor_connectors, floor_elements)
		g.get_floor_graphs()
		floorgraphs.append(g)
	projectgraph= graph_model.combine_systemgraph(floorgraphs)
	systemdatautils.save_project_data(projectgraph, project_id,system_name,domain)
	#systemgraph_display.show_project(projectgraph)
